Package com.smartgwt.client.bean.types

# Class PBooleanArrayValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.ArrayValueType
com.smartgwt.client.bean.types.PBooleanArrayValueType

public class PBooleanArrayValueType extends ArrayValueType

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PBooleanArrayValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean[]`
  `convertFrom(boolean[] array)`
  `protected boolean[]`
  `convertFrom(double[] array)`
  `protected boolean[]`
  `convertFrom(float[] array)`
  `protected boolean[]`
  `convertFrom(int[] array)`
  `protected boolean[]`
  `convertFrom(long[] array)`
  `protected boolean[]`
  `convertFrom(Object[] array)`
  `protected Class`
  `getValueType()`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.ArrayValueType

  `convertabilityFrom, convertabilityFromPrimitiveArray, convertabilityToComponentType, convertFrom, convertFromPrimitiveArray, getComponentType, getComponentValueType, isAssignableFrom, leastConvertabilityToComponentType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PBooleanArrayValueType

    public PBooleanArrayValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Specified by:
      `getValueType` in class `BeanValueType`

  - ### convertFrom

    protected boolean[] convertFrom(Object[] array)
    Specified by:
      `convertFrom` in class `ArrayValueType`

  - ### convertFrom

    protected boolean[] convertFrom(boolean[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType`

  - ### convertFrom

    protected boolean[] convertFrom(double[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType`

  - ### convertFrom

    protected boolean[] convertFrom(float[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType`

  - ### convertFrom

    protected boolean[] convertFrom(int[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType`

  - ### convertFrom

    protected boolean[] convertFrom(long[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType`